> For the complete documentation index, see [llms.txt](https://docs.zumrails.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zumrails.com/api-reference/operations/daily-auto-withdrawal-summary.md).

# Daily Auto-Withdrawal Summary

Use this endpoint to list transactions in a daily auto-withdrawal. This API call works from the second daily withdrawal onward.

{% hint style="warning" %}
This endpoint does not work for daily withdrawals that are grouped by batch.
{% endhint %}

`Method: POST`

`Endpoint: {{env}}/api/wallet/transactions/summary`

### Input Parameters

<table><thead><tr><th width="363.1370849609375">Parameter</th><th width="97.8846435546875">Type</th><th width="105.2650146484375">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>WalletId</td><td>guid</td><td>yes</td><td>Wallet ID</td></tr><tr><td>AutomaticDailyWithdrawWalletTransactionId</td><td>guid</td><td>yes</td><td>Transaction ID for wallet withdrawal</td></tr><tr><td>WalletTransactionReportType</td><td>number</td><td>yes</td><td>For a summary report of the daily auto-withdrawal, use the value "1"</td></tr></tbody></table>

### Response Parameters

<table><thead><tr><th width="256.800048828125">Parameter</th><th width="179.39990234375">Type</th><th>Description</th></tr></thead><tbody><tr><td>CreatedAt</td><td>datetime</td><td>When the transaction was created</td></tr><tr><td>Description</td><td>string</td><td>Transaction description</td></tr><tr><td>Debit</td><td>decimal</td><td>Debit amount</td></tr><tr><td>Credit</td><td>decimal</td><td>Credit amount</td></tr><tr><td>Balance</td><td>decimal</td><td>Wallet balance after the transaction</td></tr><tr><td>TransactionId</td><td>guid</td><td>Transaction ID</td></tr><tr><td>IsAutomaticDailyWithdraw</td><td>boolean</td><td>If transaction is automatic withdrawal</td></tr></tbody></table>

{% tabs %}
{% tab title="Request" %}

```json
{
    "WalletId": "1e0b6ee0-48e9-41c6-bcd9-fe384168894b",
    "AutomaticDailyWithdrawWalletTransactionId" : "276d54c5-0b3b-459f-a6a2-4663e220d36c",
    "WalletTransactionReportType": 1
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "statusCode": 200,
    "message": "POST Request successful.",
    "isError": false,
    "result": [
        {
            "CreatedAt": "2025-04-21T23:12:04.730977Z",
            "Description": "Funds received by Funding Source (Bank of Montreal-12345-12312314562)",
            "Debit": 0,
            "Credit": 100,
            "Balance": 200.0,
            "TransactionId": "f4e619c6-145b-4600-b621-acfd5767963e",
            "IsAutomaticDailyWithdraw": false
        },
        {
            "CreatedAt": "2025-04-21T23:12:04.486997Z",
            "Description": "Funds received by Funding Source (Bank of Montreal-12345-12312314562)",
            "Debit": 0,
            "Credit": 100,
            "Balance": 100.0,
            "TransactionId": "c8657c17-cf97-4aff-868d-b56b7358ab0f",
            "IsAutomaticDailyWithdraw": false
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zumrails.com/api-reference/operations/daily-auto-withdrawal-summary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
